Results 1 to 8 of 8

Thread: What repositories I really need

  1. #1

    Exclamation What repositories I really need

    I have all this repository, but when I am going to update I have this problem. I need to know what repository I should have, please.

    Code:
    The following 104 packages are going to change vendor:
    MozillaFirefox openSUSE -> obs://build.opensuse.org/mozilla 
    MozillaFirefox-translations-common openSUSE -> obs://build.opensuse.org/mozilla 
    amarok openSUSE -> http://packman.links2linux.de 
    audacity openSUSE -> http://packman.links2linux.de 
    conky openSUSE -> http://packman.links2linux.de 
    fdupes openSUSE -> http://packman.links2linux.de 
    filezilla openSUSE -> obs://build.opensuse.org/network 
    filezilla-lang openSUSE -> obs://build.opensuse.org/network 
    gstreamer openSUSE -> http://packman.links2linux.de 
    gstreamer-0_10 openSUSE -> http://packman.links2linux.de 
    gstreamer-0_10-plugin-esd openSUSE -> http://packman.links2linux.de 
    gstreamer-0_10-plugin-gnomevfs openSUSE -> http://packman.links2linux.de 
    gstreamer-0_10-plugins-bad openSUSE -> http://packman.links2linux.de 
    gstreamer-0_10-plugins-base openSUSE -> http://packman.links2linux.de 
    gstreamer-0_10-plugins-good openSUSE -> http://packman.links2linux.de 
    gstreamer-0_10-plugins-good-extra openSUSE -> http://packman.links2linux.de 
    gstreamer-0_10-plugins-ugly openSUSE -> http://packman.links2linux.de 
    gstreamer-lang openSUSE -> http://packman.links2linux.de 
    gstreamer-plugins-bad openSUSE -> http://packman.links2linux.de 
    gstreamer-plugins-base openSUSE -> http://packman.links2linux.de 
    gstreamer-plugins-good openSUSE -> http://packman.links2linux.de 
    gstreamer-plugins-good-extra openSUSE -> http://packman.links2linux.de 
    gstreamer-plugins-ugly openSUSE -> http://packman.links2linux.de 
    javapackages-tools openSUSE-Education -> openSUSE 
    k3b openSUSE -> http://packman.links2linux.de
    My repositories.

    Code:
    zypper lr
    #  | Alias                                | Name                                                | Enabled | Refresh
    ---+--------------------------------------+-----------------------------------------------------+---------+--------
     1 | KDEFRAMEWORK5                        | KDEFRAMEWORK5                                       | Yes     | Yes    
     2 | Qt5                                  | Qt5                                                 | Yes     | Yes    
     3 | download.opensuse.org-Education      | openSUSE BuildService - Education                   | Yes     | Yes    
     4 | download.opensuse.org-Virtualization | openSUSE BuildService - Virtualization (VirtualBox) | Yes     | Yes    
     5 | download.opensuse.org-mozilla        | openSUSE BuildService - Mozilla                     | Yes     | Yes    
     6 | download.opensuse.org-php            | openSUSE BuildService - PHP                         | Yes     | Yes    
     7 | filesystems                          | filesystems                                         | Yes     | Yes    
     8 | ftp.gwdg.de-suse                     | Packman Repository                                  | Yes     | Yes    
     9 | home:Ximi1970:openSUSE:13.2:Extra    | home:Ximi1970:openSUSE:13.2:Extra                   | Yes     | Yes    
    10 | home_DarkPlayer_Pipelight            | Pipelight (openSUSE_13.2)                           | Yes     | Yes    
    11 | http-download.opensuse.org-94d946cf  | hardware                                            | Yes     | Yes    
    12 | network                              | network                                             | Yes     | Yes    
    13 | openSUSE-13.2-0                      | openSUSE-13.2-0                                     | No      | Yes    
    14 | openSUSE:13.1                        | openSUSE:13.1                                       | Yes     | Yes    
    15 | repo-non-oss                         | openSUSE-13.2-Non-Oss                               | Yes     | Yes    
    16 | repo-oss                             | openSUSE-13.2-Oss                                   | Yes     | Yes    
    17 | repo-source                          | openSUSE-13.2-Source                                | Yes     | Yes    
    18 | repo-update                          | openSUSE-13.2-Update                                | Yes     | Yes    
    19 | repo-update-non-oss                  | openSUSE-13.2-Update-Non-Oss                        | Yes     | Yes    
    20 | windows:mingw:win32                  | windows:mingw:win32                                 | Yes     | Yes    
    21 | windows:mingw:win64                  | windows:mingw:win64                                 | Yes     | Yes

  2. #2

    Default Re: What repositories I really need

    Quote Originally Posted by Dexter22 View Post
    I have all this repository, but when I am going to update I have this problem.
    Well, it would be nice to know _how_ you are updating too...

    But, you seem to have a grave mistake in your repo list:
    Code:
    13 | openSUSE-13.2-0                      | openSUSE-13.2-0                                     | No      | Yes    
    14 | openSUSE:13.1                        | openSUSE:13.1                                       | Yes     | Yes    
    15 | repo-non-oss                         | openSUSE-13.2-Non-Oss                               | Yes     | Yes    
    16 | repo-oss                             | openSUSE-13.2-Oss                                   | Yes     | Yes    
    17 | repo-source                          | openSUSE-13.2-Source                                | Yes     | Yes    
    18 | repo-update                          | openSUSE-13.2-Update                                | Yes     | Yes    
    19 | repo-update-non-oss                  | openSUSE-13.2-Update-Non-Oss                        | Yes     | Yes
    openSUSE:13.1 is enabled, but the 13.1 main repo is of course incompatible with all 13.2 repos.
    OTOH, openSUSE-13.2-0 is disabled.

    But, as names tell nothing (they are just names and could mean anything), you should rather post the output of:
    Code:
    zypper lr -d

  3. #3

    Default Re: What repositories I really need

    I am doing zypper up

    Code:
    zypper lr -d
    #  | Alias                                | Name                                                | Enabled | Refresh | Priority | Type   | URI                                                                                            | Service
    ---+--------------------------------------+-----------------------------------------------------+---------+---------+----------+--------+------------------------------------------------------------------------------------------------+--------
     1 | KDEFRAMEWORK5                        | KDEFRAMEWORK5                                       | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_13.2/                      |        
     2 | Qt5                                  | Qt5                                                 | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_13.2/                              |        
     3 | download.opensuse.org-Education      | openSUSE BuildService - Education                   | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/Education/openSUSE_13.2/                             |        
     4 | download.opensuse.org-Virtualization | openSUSE BuildService - Virtualization (VirtualBox) | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/Virtualization/openSUSE_13.2/                        |        
     5 | download.opensuse.org-mozilla        | openSUSE BuildService - Mozilla                     | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/mozilla/openSUSE_13.2/                               |        
     6 | download.opensuse.org-php            | openSUSE BuildService - PHP                         | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/server:/php/openSUSE_13.2/                           |        
     7 | filesystems                          | filesystems                                         | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/filesystems/openSUSE_13.2/                           |        
     8 | ftp.gwdg.de-suse                     | Packman Repository                                  | Yes     | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.2/                                       |        
     9 | home:Ximi1970:openSUSE:13.2:Extra    | home:Ximi1970:openSUSE:13.2:Extra                   | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/Ximi1970:/openSUSE:/13.2:/Extra/openSUSE_13.2/ |        
    10 | home_DarkPlayer_Pipelight            | Pipelight (openSUSE_13.2)                           | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/DarkPlayer:/Pipelight/openSUSE_13.2/           |        
    11 | http-download.opensuse.org-94d946cf  | hardware                                            | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/hardware/openSUSE_13.2/                              |        
    12 | network                              | network                                             | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/network/openSUSE_13.2/                               |        
    13 | openSUSE-13.2-0                      | openSUSE-13.2-0                                     | No      | Yes     |   99     | yast2  | cd:///?devices=/dev/disk/by-id/ata-hp_CDDVDW_SN-208DB_R8Y66YBD901TSA                           |        
    14 | repo-non-oss                         | openSUSE-13.2-Non-Oss                               | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.2/repo/non-oss/                                   |        
    15 | repo-oss                             | openSUSE-13.2-Oss                                   | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.2/repo/oss/                                       |        
    16 | repo-source                          | openSUSE-13.2-Source                                | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/source/distribution/13.2/repo/oss/                                |        
    17 | repo-update                          | openSUSE-13.2-Update                                | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.2/                                                      |        
    18 | repo-update-non-oss                  | openSUSE-13.2-Update-Non-Oss                        | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.2-non-oss/                                              |        
    19 | windows:mingw:win32                  | windows:mingw:win32                                 | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/windows:/mingw:/win32/openSUSE_13.2/                 |        
    20 | windows:mingw:win64                  | windows:mingw:win64                                 | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/windows:/mingw:/win64/openSUSE_13.2/

  4. #4

    Default Re: What repositories I really need

    Quote Originally Posted by Dexter22 View Post
    I am doing zypper up
    "zypper up" shouldn't want to change vendors/repos.
    Have you maybe changed /etc/zypp/zypp.conf at one point in the past?

    Code:
    zypper lr -d
    Looks quite ok now.

    I see that you removed the 13.1 repo meanwhile though.
    Do you still have the same problem?

    Although you might want to agree to the changes to Packman. Or even force it via:
    Code:
    zypper dup --from "Packman Repository"
    That's not bad, that just ensures that you have full multimedia-enabled packages installed.

  5. #5

    Default Re: What repositories I really need

    I have this now.


    Code:
    lindx:~ # zypper dup --from "Packman Repository"
    Retrieving repository 'filesystems' metadata ...............................................................................................................[done]
    Building repository 'filesystems' cache ....................................................................................................................[done]
    Retrieving repository 'Packman Repository' metadata ........................................................................................................[done]
    Building repository 'Packman Repository' cache .............................................................................................................[done]
    Loading repository data...
    Reading installed packages...
    Computing distribution upgrade...
    
    
    The following 90 packages are going to be upgraded:
      amarok audacity conky fdupes gstreamer gstreamer-0_10 gstreamer-0_10-plugin-esd gstreamer-0_10-plugin-gnomevfs gstreamer-0_10-plugins-bad 
      gstreamer-0_10-plugins-base gstreamer-0_10-plugins-good gstreamer-0_10-plugins-good-extra gstreamer-0_10-plugins-ugly gstreamer-lang gstreamer-plugins-bad 
      gstreamer-plugins-base gstreamer-plugins-good gstreamer-plugins-good-extra gstreamer-plugins-ugly k3b k3b-lang libbluray-devel libbluray1 libchromaprint-devel 
      libchromaprint0 libdvdnav-devel libdvdnav4 libdvdread-devel libdvdread4 libgstallocators-1_0-0 libgstapp-0_10-0 libgstapp-0_10-0-32bit libgstapp-1_0-0 
      libgstapp-1_0-0-32bit libgstaudio-1_0-0 libgstaudio-1_0-0-32bit libgstbadbase-1_0-0 libgstbadvideo-1_0-0 libgstbasecamerabinsrc-0_10-23 
      libgstbasecamerabinsrc-1_0-0 libgstbasevideo-0_10-23 libgstcodecparsers-0_10-23 libgstcodecparsers-1_0-0 libgstfft-1_0-0 libgstgl-1_0-0 libgstinterfaces-0_10-0 
      libgstmpegts-1_0-0 libgstpbutils-1_0-0 libgstpbutils-1_0-0-32bit libgstphotography-0_10-23 libgstphotography-1_0-0 libgstreamer-0_10-0 
      libgstreamer-0_10-0-32bit libgstreamer-1_0-0 libgstreamer-1_0-0-32bit libgstriff-1_0-0 libgstrtp-1_0-0 libgstrtsp-1_0-0 libgstsdp-1_0-0 
      libgstsignalprocessor-0_10-23 libgsttag-1_0-0 libgsttag-1_0-0-32bit libgsturidownloader-1_0-0 libgstvdp-0_10-23 libgstvideo-1_0-0 libgstvideo-1_0-0-32bit 
      libguess-devel libguess1 libmjpegutils-2_0-0 libortp9 libquicktime0 libsox2 libstreamanalyzer0 libstreamanalyzer0-32bit libstrigi0 libvlc5 libwebp-devel 
      libwebp5 libwebp5-32bit libwebpdecoder1 libwebpdemux1 libwebpmux1 libxine2 libxine2-pulse libxmmsclient6 live555-devel mjpegtools sox xine-ui youtube-dl 
    
    
    The following 2 packages are going to be downgraded:
      reaver xboard 
    
    
    The following 92 packages are going to change vendor:
      amarok                             openSUSE -> http://packman.links2linux.de                         
      audacity                           openSUSE -> http://packman.links2linux.de                         
      conky                              openSUSE -> http://packman.links2linux.de                         
      fdupes                             openSUSE -> http://packman.links2linux.de                         
      gstreamer                          openSUSE -> http://packman.links2linux.de                         
      gstreamer-0_10                     openSUSE -> http://packman.links2linux.de                         
      gstreamer-0_10-plugin-esd          openSUSE -> http://packman.links2linux.de                         
      gstreamer-0_10-plugin-gnomevfs     openSUSE -> http://packman.links2linux.de                         
      gstreamer-0_10-plugins-bad         openSUSE -> http://packman.links2linux.de                         
      gstreamer-0_10-plugins-base        openSUSE -> http://packman.links2linux.de                         
      gstreamer-0_10-plugins-good        openSUSE -> http://packman.links2linux.de                         
      gstreamer-0_10-plugins-good-extra  openSUSE -> http://packman.links2linux.de                         
      gstreamer-0_10-plugins-ugly        openSUSE -> http://packman.links2linux.de                         
      gstreamer-lang                     openSUSE -> http://packman.links2linux.de                         
      gstreamer-plugins-bad              openSUSE -> http://packman.links2linux.de                         
      gstreamer-plugins-base             openSUSE -> http://packman.links2linux.de                         
      gstreamer-plugins-good             openSUSE -> http://packman.links2linux.de                         
      gstreamer-plugins-good-extra       openSUSE -> http://packman.links2linux.de                         
      gstreamer-plugins-ugly             openSUSE -> http://packman.links2linux.de                         
      k3b                                openSUSE -> http://packman.links2linux.de                         
      k3b-lang                           openSUSE -> http://packman.links2linux.de                         
      libbluray-devel                    openSUSE -> http://packman.links2linux.de                         
      libbluray1                         openSUSE -> http://packman.links2linux.de                         
      libchromaprint-devel               openSUSE -> http://packman.links2linux.de                         
      libchromaprint0                    openSUSE -> http://packman.links2linux.de                         
      libdvdnav-devel                    openSUSE -> http://packman.links2linux.de                         
      libdvdnav4                         openSUSE -> http://packman.links2linux.de                         
      libdvdread-devel                   openSUSE -> http://packman.links2linux.de                         
      libdvdread4                        openSUSE -> http://packman.links2linux.de                         
      libgstallocators-1_0-0             openSUSE -> http://packman.links2linux.de                         
      libgstapp-0_10-0                   openSUSE -> http://packman.links2linux.de                         
      libgstapp-0_10-0-32bit             openSUSE -> http://packman.links2linux.de                         
      libgstapp-1_0-0                    openSUSE -> http://packman.links2linux.de                         
      libgstapp-1_0-0-32bit              openSUSE -> http://packman.links2linux.de                         
      libgstaudio-1_0-0                  openSUSE -> http://packman.links2linux.de                         
      libgstaudio-1_0-0-32bit            openSUSE -> http://packman.links2linux.de                         
      libgstbadbase-1_0-0                openSUSE -> http://packman.links2linux.de                         
      libgstbadvideo-1_0-0               openSUSE -> http://packman.links2linux.de                         
      libgstbasecamerabinsrc-0_10-23     openSUSE -> http://packman.links2linux.de                         
      libgstbasecamerabinsrc-1_0-0       openSUSE -> http://packman.links2linux.de                         
      libgstbasevideo-0_10-23            openSUSE -> http://packman.links2linux.de                         
      libgstcodecparsers-0_10-23         openSUSE -> http://packman.links2linux.de                         
      libgstcodecparsers-1_0-0           openSUSE -> http://packman.links2linux.de                         
      libgstfft-1_0-0                    openSUSE -> http://packman.links2linux.de                         
      libgstgl-1_0-0                     openSUSE -> http://packman.links2linux.de                         
      libgstinterfaces-0_10-0            openSUSE -> http://packman.links2linux.de                         
      libgstmpegts-1_0-0                 openSUSE -> http://packman.links2linux.de                         
      libgstpbutils-1_0-0                openSUSE -> http://packman.links2linux.de                         
      libgstpbutils-1_0-0-32bit          openSUSE -> http://packman.links2linux.de                         
      libgstphotography-0_10-23          openSUSE -> http://packman.links2linux.de                         
      libgstphotography-1_0-0            openSUSE -> http://packman.links2linux.de                         
      libgstreamer-0_10-0                openSUSE -> http://packman.links2linux.de                         
      libgstreamer-0_10-0-32bit          openSUSE -> http://packman.links2linux.de                         
      libgstreamer-1_0-0                 openSUSE -> http://packman.links2linux.de                         
      libgstreamer-1_0-0-32bit           openSUSE -> http://packman.links2linux.de                         
      libgstriff-1_0-0                   openSUSE -> http://packman.links2linux.de                         
      libgstrtp-1_0-0                    openSUSE -> http://packman.links2linux.de                         
      libgstrtsp-1_0-0                   openSUSE -> http://packman.links2linux.de                         
      libgstsdp-1_0-0                    openSUSE -> http://packman.links2linux.de                         
      libgstsignalprocessor-0_10-23      openSUSE -> http://packman.links2linux.de                         
      libgsttag-1_0-0                    openSUSE -> http://packman.links2linux.de                         
      libgsttag-1_0-0-32bit              openSUSE -> http://packman.links2linux.de                         
      libgsturidownloader-1_0-0          openSUSE -> http://packman.links2linux.de                         
      libgstvdp-0_10-23                  openSUSE -> http://packman.links2linux.de                         
      libgstvideo-1_0-0                  openSUSE -> http://packman.links2linux.de                         
      libgstvideo-1_0-0-32bit            openSUSE -> http://packman.links2linux.de                         
      libguess-devel                     openSUSE -> http://packman.links2linux.de                         
      libguess1                          openSUSE -> http://packman.links2linux.de                         
      libmjpegutils-2_0-0                openSUSE -> http://packman.links2linux.de                         
      libortp9                           openSUSE -> http://packman.links2linux.de                         
      libquicktime0                      openSUSE -> http://packman.links2linux.de                         
      libsox2                            openSUSE -> http://packman.links2linux.de                         
      libstreamanalyzer0                 openSUSE -> http://packman.links2linux.de                         
      libstreamanalyzer0-32bit           openSUSE -> http://packman.links2linux.de                         
      libstrigi0                         openSUSE -> http://packman.links2linux.de                         
      libvlc5                            openSUSE -> http://packman.links2linux.de                         
      libwebp-devel                      openSUSE -> http://packman.links2linux.de                         
      libwebp5                           openSUSE -> http://packman.links2linux.de                         
      libwebp5-32bit                     openSUSE -> http://packman.links2linux.de                         
      libwebpdecoder1                    obs://build.opensuse.org/graphics -> http://packman.links2linux.de
      libwebpdemux1                      openSUSE -> http://packman.links2linux.de                         
      libwebpmux1                        openSUSE -> http://packman.links2linux.de                         
      libxine2                           openSUSE -> http://packman.links2linux.de                         
      libxine2-pulse                     openSUSE -> http://packman.links2linux.de                         
      libxmmsclient6                     openSUSE -> http://packman.links2linux.de                         
      live555-devel                      openSUSE -> http://packman.links2linux.de                         
      mjpegtools                         openSUSE -> http://packman.links2linux.de                         
      reaver                             obs://build.opensuse.org/network -> http://packman.links2linux.de 
      sox                                openSUSE -> http://packman.links2linux.de                         
      xboard                             openSUSE-Education -> http://packman.links2linux.de               
      xine-ui                            openSUSE -> http://packman.links2linux.de                         
      youtube-dl                         openSUSE -> http://packman.links2linux.de                         
    
    
    
    
    90 packages to upgrade, 2 to downgrade, 92  to change vendor.
    Overall download size: 42.3 MiB. Already cached: 0 B  After the operation, additional 4.5 MiB will be used.
    Continue? [y/n/? shows all options] (y):
    Do I have dele Opensuse repo and have just Packman? what is the diference?

  6. #6
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: What repositories I really need

    On 2015-06-22 23:26, Dexter22 wrote:

    >
    > Do I have dele Opensuse repo and have just Packman? what is the
    > diference?


    Read the sticky on the multimedia forum here.

    --
    Cheers / Saludos,

    Carlos E. R.

    (from 13.1 x86_64 "Bottle" (Minas Tirith))

  7. #7
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,746

    Default Re: What repositories I really need

    No but you do want all the multimedia stuff from packman. Dont mix version ie program from one codecs from another openSUSE is ....well open. ie no encumbered non-free (as in speech) programs are included in the default system if you need to use non-open codecs and drivers, etc you must get them from another location ie packman in most cases

  8. #8

    Default Re: What repositories I really need

    Quote Originally Posted by Dexter22 View Post
    I have this now.
    Just say yes. You do want those packages from Packman for reasons already explained, that's the point of running zypper dup --from "Packman"...

    If your original "problem" still persists, you probably enabled automatic vendor change in /etc/zypp/zypp.conf as I already indicated (or you ran "zypper dup" in the first place). You should better disable that again, unless you know what you are doing.
    And you should manually switch the mentioned packages to the version you want. There's probably no need for having the mozilla repo if you don't want to install the Firefox it contains...

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •